*Chapter 5 commands

log using chap5, text replace
use chap5-gss2012, clear

* The one-predictor partial PO model
gologit2 healthre i.maritals, autofit lrforce store(mod1)

* The multiple-predictor partial PO model
gologit2 healthre i.maritals educ age i.male, autofit lrforce store(mod2)
gologit2 healthre i.maritals educ age i.male, autofit lrforce or

* Model comparison using the log likelihood ratio test
lrtest mod1 mod2

* The generalized ordinal logistic regression model using gologit
xi: gologit healthre i.maritals educ age male
xi: gologit, or

*margins and marginsplot in Stata 13
quietly gologit2 healthre i.maritals educ age male, autofit lrforce
margins, predict (outcome(1)) at(educ = (8 13 16)) atmeans vsquish
marginsplot
margins, predict (outcome(4)) at(educ = (8 13 16)) atmeans vsquish
marginsplot

*margins plots combined in Stata 13
margins, predict (outcome(1)) at(educ = (8 13 16)) atmeans vsquish
marginsplot, name(mplot1)
margins, predict (outcome(2)) at(educ = (8 13 16)) atmeans vsquish
marginsplot, name(mplot2)
margins, predict (outcome(3)) at(educ = (8 13 16)) atmeans vsquish
marginsplot, name(mplot3)
margins, predict (outcome(4)) at(educ = (8 13 16)) atmeans vsquish
marginsplot, name(mplot4)
graph combine mplot1 mplot2 mplot3 mplot4, ycommon

*margins and marginsplot in Stata 14
quietly gologit2 healthre i.maritals educ age male, autofit lrforce
margins, at(educ = (8 13 16)) atmeans vsquish
marginsplot

* Making publication-quality tables using outreg2
*Removing the triple slash /// (line-join indicator) if you run one command at a time
quietly xi: gologit2 healthre i.maritals, autofit lrforce store(mod1)
quietly xi: gologit2 healthre i.maritals educ age i.male, autofit lrforce store(mod2)
outreg2 [mod1 mod2] using chap5out, e(ll df_m chi2) ///
   addstat(Pseudo R-squared, `e(r2_p)') long word replace

outreg2 [mod1 mod2] using chap5oddsout, eform e(ll df_m chi2) ///
   addstat(Pseudo R-squared, `e(r2_p)') long word replace
seeout

